package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @author: cy
 * @date: 2022/3/30 11:39
 */
@ApiModel(value = "VideoLessonPurchaseStudent对象")
public class VideoLessonPurchaseStudent extends BaseEntity {
    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("头像地址")
    private String avatar;

    @ApiModelProperty("昵称")
    private String username;

    @ApiModelProperty("真实姓名")
    private String realName;

    @ApiModelProperty(value = "性别 0女 1男")
    private Integer gender;

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    private java.util.Date createTime;

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
